Name: 	 	onestroke
Summary: 	Gesture recognition for tablet PC's
Version: 	0.8.4
Release: 	%mkrel 14

Source:		http://pub.risujin.org/onestroke/%{name}-%{version}.tar.gz
URL:		https://risujin.org/onestroke/
Patch0:		onestroke-0.8.4-linking.patch
Patch1:		onestroke-0.8.4-buildfix.patch
License:	GPLv2+
Group:		Accessibility
BuildRequires:	imagemagick
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(xtst)
BuildRequires:	desktop-file-utils

%description
OneStroke is a pen gesture recognition program designed for Unix-based Tablet
PCs. The program serves as a keyboard replacement for tablet mode. When one of
the gestures is drawn on the main window, the configured keyboard event is
sent to the currently focused window.

%prep
%setup -q
%autopatch -p1

chmod 644 README *.png *.desktop

%build
%set_build_flags
CFLAGS="%{optflags} -fcommon"
%make_build

%install
%make_install

#menu
sed -i "s/%{name}.png/%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#icons
mkdir -p %{buildroot}%{_liconsdir}
convert -size 48x48 %{name}.png %{buildroot}%{_liconsdir}/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}
convert -size 32x32 %{name}.png %{buildroot}%{_iconsdir}/%{name}.png
mkdir -p %{buildroot}%{_miconsdir}
convert -size 16x16 %{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}-0.8
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.8.4-14.mga10
+ Revision: 2213163
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.8.4-13.mga9
+ Revision: 1836740
- Mageia 9 Mass Rebuild

* Sun Jun 28 2020 joequant <joequant> 0.8.4-12.mga8
+ Revision: 1599788
- fix for gcc10

* Fri Feb 14 2020 umeabot <umeabot> 0.8.4-11.mga8
+ Revision: 1515688
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 0.8.4-10.mga7
+ Revision: 1299968
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Fri Feb 12 2016 umeabot <umeabot> 0.8.4-9.mga6
+ Revision: 956511
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 0.8.4-8.mga6
+ Revision: 893665
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.8.4-7.mga5
+ Revision: 744702
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.4-6.mga5
+ Revision: 683177
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 fwang <fwang> 0.8.4-5.mga5
+ Revision: 665889
- cleanup category

* Fri Oct 18 2013 umeabot <umeabot> 0.8.4-4.mga4
+ Revision: 508656
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.4-3.mga3
+ Revision: 361861
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 wally <wally> 0.8.4-2.mga3
+ Revision: 336024
- redo linking patch
- use our compile flags
- add patch to fix install
- clean .spec

* Sun Apr 10 2011 dmorgan <dmorgan> 0.8.4-1.mga1
+ Revision: 82967
- Remove mdv macros
- imported package onestroke


* Tue May 19 2009 Jérôme Brenier <incubusss@mandriva.org> 0.8.4-1mdv2010.0
+ Revision: 377697
- update to new version 0.8.4
- add a patch to fix overlinking
- fix URL / source
- fix icon in desktop file
- fix license (GPLv2+)

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.8.3-2mdv2009.0
+ Revision: 220242
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Feb 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.3-1mdv2007.0
+ Revision: 122095
- Remove autoconf mistakes
- Fix Build
- New release 0.8.3
- Import onestroke

* Mon Aug 14 2006 Austin Acton <austin@mandriva.org> 0.8.2-1mdv2007.0
- 0.8.2

* Thu Jul 27 2006 Austin Acton <austin@mandriva.org> 0.8.1-1mdv2007.0
- initial package

